Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 726792 - <net-misc/grdesktop-0.23-r2: drop 0.23-r1 w/ gnome-base/libgnomeui dependency
Summary: <net-misc/grdesktop-0.23-r2: drop 0.23-r1 w/ gnome-base/libgnomeui dependency
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL: https://sources.debian.org/patches/gr...
Whiteboard:
Keywords: CC-ARCHES
Depends on:
Blocks: libgnome-removal, libgnomeui-removal
  Show dependency tree
 
Reported: 2020-06-02 17:19 UTC by Andreas Sturmlechner
Modified: 2020-09-20 07:56 UTC (History)
1 user (show)

See Also:
Package list:
net-misc/grdesktop-0.23-r2
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Sturmlechner gentoo-dev 2020-06-02 17:19:00 UTC
Debian have patches for dropping libgnomeui dep as well as port to GTK3, see $URL, pick as you may.
Comment 1 Andreas Sturmlechner gentoo-dev 2020-07-15 09:48:17 UTC
ping, this is one of two packages with a known patch, and one of three packages left that are not yet pmasked for removal.
Comment 2 Larry the Git Cow gentoo-dev 2020-07-19 17:31:05 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8ba4b42a62ed0284cd6669411ba87ba35c0442fa

commit 8ba4b42a62ed0284cd6669411ba87ba35c0442fa
Author:     Mart Raudsepp <leio@gentoo.org>
AuthorDate: 2020-07-19 17:23:16 +0000
Commit:     Mart Raudsepp <leio@gentoo.org>
CommitDate: 2020-07-19 17:24:05 +0000

    net-misc/grdesktop: add debian patchset for gtk3 port and more
    
    Bug: https://bugs.gentoo.org/726792
    Package-Manager: Portage-2.3.84, Repoman-2.3.20
    Signed-off-by: Mart Raudsepp <leio@gentoo.org>

 net-misc/grdesktop/Manifest                 |  1 +
 net-misc/grdesktop/grdesktop-0.23-r2.ebuild | 44 +++++++++++++++++++++++++++++
 2 files changed, 45 insertions(+)
Comment 3 Andreas Sturmlechner gentoo-dev 2020-07-19 17:49:52 UTC
Please add arches when ready.
Comment 4 Andreas Sturmlechner gentoo-dev 2020-08-18 21:01:03 UTC
30 days are over.
Comment 5 Sergei Trofimovich (RETIRED) gentoo-dev 2020-08-29 07:57:52 UTC
sparc stable
Comment 6 Sam James archtester gentoo-dev Security 2020-08-29 21:27:25 UTC
ppc done
Comment 7 Thomas Deutschmann gentoo-dev Security 2020-08-30 17:15:31 UTC
x86 stable
Comment 8 Sam James archtester gentoo-dev Security 2020-08-31 23:26:57 UTC
amd64 done

all arches done
Comment 9 Sam James archtester gentoo-dev Security 2020-08-31 23:28:47 UTC
Reopening for cleanup.
Comment 10 Larry the Git Cow gentoo-dev 2020-09-20 07:56:59 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=99ae0e6d201abef420fde918a9b9b0563b2bc8eb

commit 99ae0e6d201abef420fde918a9b9b0563b2bc8eb
Author:     Michał Górny <mgorny@gentoo.org>
AuthorDate: 2020-09-20 06:50:44 +0000
Commit:     Michał Górny <mgorny@gentoo.org>
CommitDate: 2020-09-20 07:56:46 +0000

    net-misc/grdesktop: Remove old
    
    Closes: https://bugs.gentoo.org/726792
    Signed-off-by: Michał Górny <mgorny@gentoo.org>

 .../grdesktop/files/grdesktop-0.23-desktop.patch   | 19 ----------
 .../files/grdesktop-0.23-format-security.patch     | 25 ------------
 net-misc/grdesktop/grdesktop-0.23-r1.ebuild        | 44 ----------------------
 3 files changed, 88 deletions(-)